Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 02-01-2011 14:22:47

firebird
Membre
Distrib. : wheezy/sid
Noyau : 3.2.0
(G)UI : Gnome 3.2/Awesome
Inscription : 03-06-2009
Site Web

nvidia-kernel-dkms et SID

Je fais ici donc un nouveau post, comme me l'a suggéré smolski.

Mon problème est de faire fonctionner le pilote non-free de nvidia via nvidia-kernel-dkms sur SID. Et pour corser le tout en utilisant le pilote du dépôt expérimental (260.19.21 en l'occurrence).

kernel 2.6.32-5 amd64
gpu nvidia 285 gtx

Une fois X lancé, glx n'est pas lancé quant à lui, et voici ce que donne un coup de glxinfo :

name of display: :0.0
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Error: couldn't find RGB GLX visual or fbconfig

...
et fini par un segfault.


J'ai aussi essayé de le compiler via m-a (en ayant au préalable installé nvidia-kernel-source). Pas mieux. J'obtiens bien des fichiers dans /usr/lib/nvidia et les liens entre /usr/lib ont l'air bon, excepté un dans /usr/lib/nvidia/diversion/libglx.so qui pointé sur un fichier inexistant. J'ai beau le faire pointer sur le /usr/lib/nvidia/libglx.so.1 en vain.

J'ai donc fini par réinstaller les pilotes via le .run fournit par nvidia.

Aussi j'ai rajouté ceci dans preferences :

Package: *
Pin: release a=experimental,o=Debian,l=Debian
Pin-priority: -10

Package: nvidia-kernel-dkms nvidia-kernel-common nvidia-glx nvidia-settings nvidia-xconfig nvidia-libvdpau1 nvidia-vdpau-driver libgl1-nvidia-alternatives libglx-nvidia-alternatives nvidia-kernel-2.6.32-5-amd64 nvidia-kernel-source nvidia-xconfig libgl1-mesa-glx libgl1-nvidia-glx nvidia-glx
Pin: release o=Debian,a=experimental,l=Debian
Pin-Priority: 1001


Je ne sais pas si certains sont en trop, ou manque... Bref dkms sur debian ça n'a pas encore l'air bien au point, et peut être encore moins en mixant sid et experimental sur ce coup.


Pas d'GPL, pas d'logiciels!

Hors ligne

#2 03-01-2011 13:27:18

Invité-5
Banni(e)

Re : nvidia-kernel-dkms et SID

Salut,

Il te faut éradiquer le .run nvidia et installer le pilote propriétaire du dépôt Debian avec module-assistant.
Ajouter dans /etc/apt/sources.list

deb http://ftp.fr.debian.org/debian/ experimental contrib non-free
deb-src http://ftp.fr.debian.org/debian/ experimental contrib non-free


Avec le fichier /etc/apt/preferences

Package: nvidia-vdpau-driver nvidia-kernel-source nvidia-xconfig nvidia-kernel-dkms nvidia-glx libgl1-nvidia-glx libgl1-nvidia-alternatives libglx-nvidia-alternatives
Pin: release o=Debian,a=experimental,l=Debian
Pin-Priority: 1001


Marche chez moi

arien@squeeze:~$ apt-cache policy nvidia-kernel-source
nvidia-kernel-source:
  Installé : 260.19.21-1
  Candidat : 260.19.21-1
  Étiquette de paquet : 260.19.21-1
 Table de version :
 *** 260.19.21-1 1001
          1 http://ftp.fr.debian.org/debian/ experimental/non-free amd64 Packages
        100 /var/lib/dpkg/status
     195.36.31-6 1001
        500 http://ftp.fr.debian.org/debian/ squeeze/non-free amd64 Packages


arien@squeeze:~$ apt-cache policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://mirror.home-dn.net/debian-multimedia/ squeeze/main amd64 Packages
     release v=None,o=Unofficial Multimedia Packages,a=testing,n=squeeze,l=Unofficial Multimedia Packages,c=main
     origin mirror.home-dn.net
   1 http://ftp.fr.debian.org/debian/ experimental/non-free amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free
     origin ftp.fr.debian.org
   1 http://ftp.fr.debian.org/debian/ experimental/contrib amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib
     origin ftp.fr.debian.org
   1 http://ftp.fr.debian.org/debian/ experimental/main amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=main
     origin ftp.fr.debian.org
 500 http://security.debian.org/ squeeze/updates/non-free amd64 Packages
     release o=Debian,a=testing,n=squeeze,l=Debian-Security,c=non-free
     origin security.debian.org
 500 http://security.debian.org/ squeeze/updates/contrib amd64 Packages
     release o=Debian,a=testing,n=squeeze,l=Debian-Security,c=contrib
     origin security.debian.org
 500 http://security.debian.org/ squeeze/updates/main amd64 Packages
     release o=Debian,a=testing,n=squeeze,l=Debian-Security,c=main
     origin security.debian.org
 500 http://ftp.fr.debian.org/debian/ squeeze/main Translation-fr
 500 http://ftp.fr.debian.org/debian/ squeeze/non-free amd64 Packages
     release o=Debian,a=testing,n=squeeze,l=Debian,c=non-free
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian/ squeeze/contrib amd64 Packages
     release o=Debian,a=testing,n=squeeze,l=Debian,c=contrib
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian/ squeeze/main amd64 Packages
     release o=Debian,a=testing,n=squeeze,l=Debian,c=main
     origin ftp.fr.debian.org
Paquets étiquetés :
     nvidia-vdpau-driver -> 260.19.21-1
     nvidia-kernel-dkms -> 260.19.21-1
     nvidia-kernel-source -> 260.19.21-1
     libgl1-nvidia-glx -> 260.19.21-1
     libgl1-nvidia-alternatives -> 260.19.21-1
     nvidia-xconfig -> 256.53-1
     nvidia-glx -> 260.19.21-1
     libglx-nvidia-alternatives -> 260.19.21-1


Bon courage.

Dernière modification par arien (26-03-2011 10:19:18)

#3 03-01-2011 15:35:23

firebird
Membre
Distrib. : wheezy/sid
Noyau : 3.2.0
(G)UI : Gnome 3.2/Awesome
Inscription : 03-06-2009
Site Web

Re : nvidia-kernel-dkms et SID

Merci. Mais dkms n'est il pas censé s'occuper de tout pour toi ? Eviter justement d'utiliser m-a ?

Pas d'GPL, pas d'logiciels!

Hors ligne

#4 04-01-2011 12:33:03

Invité-5
Banni(e)

Re : nvidia-kernel-dkms et SID

Mais dkms n'est il pas censé s'occuper de tout pour toi ?


Le paquet nvidia-kernel-dkms [large]automatise[/large] la recompilation du module lors de chaque mise à jour.
http://www.lea-linux.org/documentations … HOWTO_Dkms
Pour installation de ton pilote a toi, la méthode utilisant nvidia-kernel-source et module-assistant ( si tu veux utiliser le pilote propriétaire du dépôt Debian ) offre plus de souplesse car le module nvidia sera compilé à la demande de l'utilisateur pour un noyau donné. Par contre lors d'une mise à jour du noyau, il faut impérativement penser à recompiler et mettre à jour le module avant de redémarrer sous peine de se retrouver avec un X non-fonctionnel d'où utilité du paquet nvidia-kernel-dkms. C'est désormais la solution à privilégier. Un moteur de recherche sera ton ami. cool

Amicalement.

#5 04-01-2011 20:48:33

firebird
Membre
Distrib. : wheezy/sid
Noyau : 3.2.0
(G)UI : Gnome 3.2/Awesome
Inscription : 03-06-2009
Site Web

Re : nvidia-kernel-dkms et SID

On peu tout de même recompiler après le reboot. Et on relance X manuellement.
Avec le .run ça ne gère donc pas plusieurs kernels ?
Sinon je suis pas sûr d'avoir tout bien compris. dkms va compiler quel pilote alors ?
Parce-que si j'ai le 260.19.21 de experimental, et qu'il est de plus fort pinning, c'est bien lui qui sera pris ?

Pas d'GPL, pas d'logiciels!

Hors ligne

#6 04-01-2011 21:08:23

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : nvidia-kernel-dkms et SID

Tcho,

firebird a écrit :

On peu tout de même recompiler après le reboot. Et on relance X manuellement.


Oui mais à ce moment la ça ne sert à rien d'utiliser dkms ( 't'façon moi je dis m-a, pis c'est tout cool )

firebird a écrit :

Sinon je suis pas sûr d'avoir tout bien compris. dkms va compiler quel pilote alors ?


Bhen le pilote des dépots.
dkms ne fait qu'automatiser ce que l'on faisait avec module-assistant.

firebird a écrit :

Parce-que si j'ai le 260.19.21 de experimental, et qu'il est de plus fort pinning, c'est bien lui qui sera pris ?


Oui mais il faut se méfier des "dépendences inassouvies".

firebird a écrit :

Avec le .run ça ne gère donc pas plusieurs kernels ?


J'en sais foutrement rien.
Par contre pour que m-a et dkms fonctionnent il faut que cette saleté de .run soit intégralement purgé/nettoyé.
Il y a un tutosur le sujet ( partie III de mémoire )

@+


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#7 04-01-2011 23:19:08

firebird
Membre
Distrib. : wheezy/sid
Noyau : 3.2.0
(G)UI : Gnome 3.2/Awesome
Inscription : 03-06-2009
Site Web

Re : nvidia-kernel-dkms et SID

Ah merci beaucoup. En effet je pensai que nvidia-installer --uninstall suffisait. C'est peut être parce-qu'il me manquait les autres manips pour bien nettoyer que ça ne fonctionnait pas.

Bon je tenterai ça.

Pas d'GPL, pas d'logiciels!

Hors ligne

#8 16-03-2011 11:43:01

firebird
Membre
Distrib. : wheezy/sid
Noyau : 3.2.0
(G)UI : Gnome 3.2/Awesome
Inscription : 03-06-2009
Site Web

Re : nvidia-kernel-dkms et SID

Tout marche bien maintenant hormis que je ne peu plus faire de dist-upgrade, je passe toujours par safe-upgrade sinon :

Les paquets suivants ont des dépendances non satisfaites :
  libqt4-multimedia: Dépend: libqtcore4 (= 4:4.6.3-4) mais 4:4.7.2-1 doit être installé.
                     Dépend: libqtgui4 (= 4:4.6.3-4) mais 4:4.7.2-1 doit être installé.
  nvidia-glx: Dépend: xorg-video-abi-8.0 qui est un paquet virtuel ou
                       xorg-video-abi-6.0 qui est un paquet virtuel ou
                       xserver-xorg-core (< 2:1.7.7) mais 2:1.9.4.901-1 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :                         
1)     libqt4-multimedia                                     
2)     nvidia-glx                                             

     Laisser les dépendances suivantes non satisfaites :     
3)     nvidia-xconfig recommande nvidia-glx                   
4)     nvidia-kernel-dkms recommande nvidia-glx (>= 260.19.21)


Je rappelle, debian SID.

Que me conseillez vous ?


Pas d'GPL, pas d'logiciels!

Hors ligne

#9 21-03-2011 12:44:17

firebird
Membre
Distrib. : wheezy/sid
Noyau : 3.2.0
(G)UI : Gnome 3.2/Awesome
Inscription : 03-06-2009
Site Web

Re : nvidia-kernel-dkms et SID

Aucuns soucis. Pour nvidia-glx il s'est résolut avec une update récente...
Pour libqt4-multimedia, il s'agit d'un paquet qui saute avec KDE 4.7, donc on peu le dégager.

Pas d'GPL, pas d'logiciels!

Hors ligne

#10 21-03-2011 16:51:50

Invité-5
Banni(e)

Re : nvidia-kernel-dkms et SID

roll

Dernière modification par Invité-5 (29-04-2011 17:51:16)

Pied de page des forums